# set ROLLING true for the rolling tree
#  once set it will do the rest for you automatically
#  the only valid values are true and anything else
%define ROLLING false


# increment this to get the stuff after the '-' higher
#  never decrement.  Ever
%define release_count 1

Summary: RPM installer/updater config files
Name: yum-conf-5x
Version: 2
# if we are building for the rolling tree set things that way
%if %(echo %{ROLLING} |grep -c 'true')
Epoch: 0
Release: 5rolling
%define beta 1
%else
Epoch: 5
Release: %{release_count}.sl5
%endif
License: GPL
Group: System Environment/Base
Source: %{name}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArch: noarch
Requires: yum-conf
Requires: yum-conf-adobe

%description
Configuration files to setup yum.conf and various repositories.
This creates configuration files pointing to the latest published release.

The 'rolling' builds of this package are only for use with the 'Alpha/Beta'
releases.  Those builds point instead to the 'Alpha/Beta' trees.

%prep
%setup -q -n yum-conf-5x

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/
%if 0%{?beta:1}
    echo "Customizing for ROLLING"
    for repofile in sl5x-fastbugs.repo sl5x.repo sl5x-security.repo; do
        if [[ -f etc/yum.repos.d/$repofile ]]; then
            sed -e "s/scientific\/5x/scientific\/5rolling/g" etc/yum.repos.d/$repofile > ${repofile}.tmp
            mv -f ${repofile}.tmp etc/yum.repos.d/$repofile
        fi
    done
%endif
cp -r etc/yum.repos.d/* $RPM_BUILD_ROOT/etc/yum.repos.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Fri Jan 11 2013 Pat Riehecky <riehecky@fnal.gov> 5x-2-1.sl5
- Added Requires yum-conf-adobe to get historical behavior back

* Fri Jan 11 2013 Pat Riehecky <riehecky@fnal.gov> 5x-2-0.sl5
- No longer conflicts with yum-conf-<release>
- Now can be built for rolling with little risk to the real release

* Thu Jan 10 2013 Pat Riehecky <riehecky@fnal.gov> 5x-1-11.SL
- No longer need jdk exclusion

* Mon Mar 05 2012 Pat Riehecky <riehecky@fnal.gov> 5x-1-10.SL
- Updated repos for jdk exclusion allowing gpgcheck=1

* Mon Apr 05 2010 Troy Dawson <dawson@fnal.gov> 5x-1-9.SL
- Updated sl-srpms.repo to read [sl-source] instead of [sl-srpms]

* Mon Oct 19 2009 Troy Dawson <dawson@fnal.gov> 5x-1-8.SL
- Updated download server list to include ftp2.scientificlinux.org

* Wed Jul 15 2009 Troy Dawson <dawson@fnal.gov> 5x-1-7.SL
- Updated yum.conf to say the default installonly_limit is 4

* Mon Jul 13 2009 Troy Dawson <dawson@fnal.gov> 5x-1-6.SL
- Updated gpg keys to include sl and sl5
- Updated download server list to include ftp1.scientificlinux.org

* Mon Jun 23 2008 Troy Dawson <dawson@fnal.gov> 5x-1-5.SL
- Added priorities to the repos.

* Wed Jun 11 2008 Troy Dawson <dawson@fnal.gov> 5x-1-4.SL
- Added comments in yum.conf for installonlyn
- Changed flash.repo to adobe.repo
- Changed repo's to use http first, and then try ftp

* Fri Apr 27 2007 Troy Dawson <dawson@fnal.gov> 5x-1-3.SL
- Added commented out mirrorlist sl5x.repo, sl5x-security.repo, sl5x-fastbugs.repo

* Sat Apr 21 2007 Troy Dawson <dawson@fnal.gov> 5x-1-2.SL
- Fixed fastbugs repo

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 5x-1-1.SL
- Converted from yum-conf-50
